1

warning: mysqli::real_connect(): Headers and client library minor version mismatch. Headers:50537 Library:50623

How do I do with it? I think I have a different version between mysql client and server, but after I updated by using yum, this wranning appear again. System:centos

  • did you also update php? – taliezin Mar 15 '15 at 14:42
1

There is a version mismatch. I tried removing php-mysql and replace it with php-mysqlnd to in order to fix the conflict.

On Centos, running the one liner

rpm -e --nodeps php-mysql && yum install php-mysqlnd -y && service httpd graceful

according to the answer at the bottom of this page got the php-mysqlnd installed.

But be warned, this rpm --nodeps option is considered harmful according to http://www.tummy.com/blogs/2005/08/12/-force-nodeps-considered-harmful/.

My server doesn't show the errors after doing that.

I'm using Centos 7, php-mysqlnd-5.4.16-23, php 5.4.16, mysql Distrib 5.6.23, and apache 2.2.x

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.